//
// GroupGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct GroupGet: Codable {

    public var name: String
    public var _description: String
    public var _id: Int
    public var organizationId: Int
    public var organizationName: String
    public var isInternal: Bool
    public var userCount: Int
    public var placeCount: Int

    public init(name: String, _description: String, _id: Int, organizationId: Int, organizationName: String, isInternal: Bool, userCount: Int, placeCount: Int) {
        self.name = name
        self._description = _description
        self._id = _id
        self.organizationId = organizationId
        self.organizationName = organizationName
        self.isInternal = isInternal
        self.userCount = userCount
        self.placeCount = placeCount
    }

    public enum CodingKeys: String, CodingKey { 
        case name
        case _description = "description"
        case _id = "id"
        case organizationId = "organization_id"
        case organizationName = "organization_name"
        case isInternal = "is_internal"
        case userCount = "user_count"
        case placeCount = "place_count"
    }

}
